Package com.independentsoft.office.vml

# Enum Class BlackWhiteMode

java.lang.Object
java.lang.Enum<BlackWhiteMode>
com.independentsoft.office.vml.BlackWhiteMode

All Implemented Interfaces:
  `Serializable`, `Comparable<BlackWhiteMode>`, `Constable`

public enum BlackWhiteMode extends Enum<BlackWhiteMode>
The Enum BlackWhiteMode.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  `BLACK`
  `BLACK_TEXT_AND_LINES`
  `COLOR`
  `DO_NOT_SHOW`
  `GRAY_OUTLINE`
  `GRAY_SCALE`
  `HIDE`
  `HIGH_CONTRAST`
  `INVERSE_GRAYSCALE`
  `LIGHT_GRAYSCALE`
  `NONE`
  `WHITE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BlackWhiteMode`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static BlackWhiteMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AUTO

    public static final BlackWhiteMode AUTO

  - ### BLACK

    public static final BlackWhiteMode BLACK

  - ### BLACK_TEXT_AND_LINES

    public static final BlackWhiteMode BLACK_TEXT_AND_LINES

  - ### COLOR

    public static final BlackWhiteMode COLOR

  - ### GRAY_OUTLINE

    public static final BlackWhiteMode GRAY_OUTLINE

  - ### GRAY_SCALE

    public static final BlackWhiteMode GRAY_SCALE

  - ### HIDE

    public static final BlackWhiteMode HIDE

  - ### HIGH_CONTRAST

    public static final BlackWhiteMode HIGH_CONTRAST

  - ### INVERSE_GRAYSCALE

    public static final BlackWhiteMode INVERSE_GRAYSCALE

  - ### LIGHT_GRAYSCALE

    public static final BlackWhiteMode LIGHT_GRAYSCALE

  - ### DO_NOT_SHOW

    public static final BlackWhiteMode DO_NOT_SHOW

  - ### WHITE

    public static final BlackWhiteMode WHITE

  - ### NONE

    public static final BlackWhiteMode NONE

- ## Method Details

  - ### values

    public static BlackWhiteMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BlackWhiteMode valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null